/*
 *  Copyright 2008 Olivier PARISOT
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package org.doopyon.musaterm.javame;

import javax.microedition.lcdui.*;
import javax.microedition.midlet.*;

import org.doopyon.musaterm.javame.term.*;
import org.doopyon.musaterm.javame.term.common.*;


/**
 * Midlet definition.
 *
 * @author Olivier PARISOT
 */
public class XMIDlet extends MIDlet
{
    //
    // Instance methods
    //
    
    /**
     * {@inheritDoc}
     */
    public void startApp() throws MIDletStateChangeException 
    {
  	  final AbstractTerminal terminal=new MicroTerminal(new CommandLineExecutor(new BasicCommandsProvider()),Display.getDisplay(this));
	  terminal.init();
    }

    /**
     * {@inheritDoc}
     */
    public void pauseApp() {}

    /**
     * {@inheritDoc}
     */
    public void destroyApp(boolean unconditional) throws MIDletStateChangeException 
    {
        notifyDestroyed();
    }
}
