/*
 *  Copyright 2008 Olivier PARISOT
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package org.doopyon.musaterm.javame.term;

import j2me.util.*;


/**
 * Arguments.
 *
 * @author Olivier PARISOT
 */
public final class ArgumentsList 
{
	//
	// Static fields
	//
	
	/** */
	public static final ArgumentsList EMPTY=new ArgumentsList(null);
	
	
	//
	// Instance fields
	//
	
	/** Arguments. */
	private final List arguments;
	
	
	//
	// Constructor
	//
	
	/**
	 * Constructor.
	 */
	public ArgumentsList(List arguments)
	{		
		this.arguments=arguments;
	}
	
	
	//
	// Instance methods
	//
	
	/**
	 * Get the arguments.
	 */
	public List getArguments()
	{
		return arguments;
	}
	
	/**
	 * {@inheritDoc}
	 */
	public String toString()
	{
		final StringBuffer sb=new StringBuffer();
		if (arguments!=null) for (Iterator iter=arguments.iterator();iter.hasNext();) sb.append(iter.next()).append(" ");				
		return sb.toString();
	}
}
