/*
 *  Copyright 2008 Olivier PARISOT
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package org.doopyon.musaterm.javame.term;


/**
 * Command.
 *
 * @author Olivier PARISOT
 */
public abstract class Command
{
	//
	// Instance methods
	//
  
	/**
	 * Get the name of the command.
	 */
	public abstract String getName();
	
	/**
	 * Execute the command.
	 */
	public abstract void execute(ArgumentsList argument,AbstractTerminal terminal);
	
	/**
	 * Get the goal and the syntax of the command.
	 */
	public abstract String getHelp();
	
	/**
	 * Check if the help is provided.
	 */
	public boolean isHelpProvided()
	{
		return (getHelp()!=null);
	}
}