/*
 *  Copyright 2008 Olivier PARISOT
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package org.doopyon.musaterm.javame.term;


/**
 * Error thrown when the user try to execute a command that does not exist!
 * 
 * @author Olivier PARISOT
 */
public final class MissingCommandException extends Exception 
{
	//
	// Static fields
	//
	
	/** Serial version UID. */
	private static final long serialVersionUID=4080l;
	
	/** The exception message. */
	private static final String MESSAGE="This command does not exist!";
	
	
	//
	// Constructor
	//
	
	/**
	 * Constructor.
	 */
	public MissingCommandException()
	{
		super(MESSAGE);
	}
}
