/*
 *  Copyright 2008 Olivier PARISOT
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package org.doopyon.musaterm.javame.term.common;

import org.doopyon.musaterm.javame.term.*;


/**
 * Echo command.
 * 
 * @author Olivier PARISOT
 */
final class EchoCommand extends Command 
{
	//
	// Static fields
	//
	
	/** Command name. */
	private static final String NAME="echo";
		
	
	//
	// Instance methods
	//

	/**
	 * {@inheritDoc}
	 */
	public String getName()
	{
		return NAME;
	}
	
	/**
	 * {@inheritDoc}
	 */
	public void execute(ArgumentsList argument,AbstractTerminal term)
	{
		term.print(argument.toString());
	}
	
	/**
	 * {@inheritDoc}
	 */
	public String getHelp()
	{
		return "print a text";
	}	
}
