package org.doopyon.musaterm.javame.term.common;

import org.doopyon.musaterm.javame.term.*;
import javolution.text.*;


/**
 * Memory command.
 * 
 * @author Olivier PARISOT
 */
final class MemoryCommand extends Command 
{
	//
	// Static fields
	//
	
	/** Command name. */
	private static final String NAME="mem";
	/** Help. */
	private static final String HELP="print the memory status";
	
	
	//
	// Instance methods
	//
	
	/**
	 * {@inheritDoc}
	 */	
	public void execute(ArgumentsList argument,AbstractTerminal terminal) 
	{
		final Runtime r=Runtime.getRuntime();
		final Text t=Text.valueOf("memory status: [free=").concat(Text.valueOf(r.freeMemory()))
														  .concat(Text.valueOf(",total="))
														  .concat(Text.valueOf(r.totalMemory()))
														  .concat(Text.valueOf("]"));
		terminal.print(t.toString());
	}

	/**
	 * {@inheritDoc}
	 */	
	public String getHelp() 
	{
		return HELP;
	}

	/**
	 * {@inheritDoc}
	 */	
	public String getName() 
	{
		return NAME;
	}

}
